WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000238WeBidFeedbackpublic2011-03-07 13:332013-01-23 14:45
ReporterOvcharoff 
Assigned To 
Priority@0@SeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.0.1 
Target VersionFixed in Version 
Summary0000238: Feedback not working
DescriptionHello,



When I try to add feedback for a certain auction, on the feedback page it shows a completely different auction. Example - I try to add feedback for auction id 4, I click on "leave feedback", and on the feedback page it shows auction id 6. (which is not even from the same user, or sometimes even not a closed auction)



It just sends you to a completely different auction id, therefore making feedback unusable.



I'm using the default theme, I tried several times and the result is always the same.



Please help !
TagsNo tags attached.
import_id240
Thread
Attached Files

- Relationships

-  Notes
(0000563)
Box Lot (reporter)
2011-03-07 15:47
edited on: 1970-01-01 00:00

Can't replicate with multiple tests.

Have you tried emptying your auctions in the database and trying the listing/transaction/feedback again?
(0000564)
Ovcharoff (reporter)
2011-03-07 16:33
edited on: 1970-01-01 00:00

I just did - at first everything seemed to be working, but when I tried buying several items from one seller, it went like that - I had four feedbacks to leave - for products test1, test2, test3 and so one. But no mather for which auction I try to leave feedback it would always redirect to test1. I try to leave feedback for test3, click on "leave feedback" and on the feedback page it's test1 again.

Any other suggestions ? Thanks a lot !
(0000565)
Ovcharoff (reporter)
2011-03-07 18:34
edited on: 1970-01-01 00:00

I tried emptying in the database - auctions, bids, feedbacks and winners, but no change. I set up 4 auctions, bought 3 of them and no mather for which auction I'm trying to leave feedback and with which user, on the feedback page it will always point out to the only active auction remained, therefore saying that "you cannot leave feedback, because this auction has not ended".
(0000566)
pamotos (reporter)
2011-03-07 18:58
edited on: 1970-01-01 00:00

same happens to me. any suggestions?
(0000567)
Box Lot (reporter)
2011-03-07 21:04
edited on: 1970-01-01 00:00

Clued me to do another test with multiples.

This is a bug when multiple auctions are in feedback. FYI, I am a can't replicate vote here, should have put multiple auctions in original testing.

Similar to the old paying bug in a way.

In my case with 3 auctions to leave feedback, all links default to 2nd listed auction from the top.
(0000568)
Box Lot (reporter)
2011-03-07 22:40
edited on: 2011-03-07 22:41

As always pending Renlok's blessing here is the fix.

On/around line 154
Find:
    $query = "SELECT title FROM " . $DBPrefix . "auctions WHERE id = " . $_REQUEST['auction_id'] . " LIMIT 1";
Replace with:
    $query = "SELECT title FROM " . $DBPrefix . "auctions WHERE id = " . $_GET['auction_id'] . " LIMIT 1";

On/around lines 278 & 322
Find:
            'AUCT_ID' => $_REQUEST['auction_id'],
Replace with:
            'AUCT_ID' => $_GET['auction_id'],
(0000569)
Ovcharoff (reporter)
2011-03-08 08:29
edited on: 1970-01-01 00:00

Hello, at first everything seemed to be OK with the hack, but when I tried to add second feedback with the same user for the same user I got this error : "An unexpected error occurred. The error has been forwarded to our technical team and will be fixed shortly ".

Then i tried switching users and I got the same error when trying to leave feedback. I've again emptied databases auctions, feedbacks, bids and winners.
(0000570)
pamotos (reporter)
2011-03-08 16:01
edited on: 2011-03-08 16:03

An unexpected error occurred. The error has been forwarded to our technical team and will be fixed shortly .

got the following message. any idea what it might be? thanks in advance. i test these stating the site from scratch. new users.
(0000571)
Box Lot (reporter)
2011-03-08 16:58
edited on: 1970-01-01 00:00

This is just a generic message from your Admin panel and doesn't provide any information.

You need to provide the errors from your error log.

Sorry, I took a shot and it seemed to work yesterday. No time right now to look into it but I'll try to make some time later today.

My initial objective was to confirm the Bug and I'm sure it will go into the next SVN release.
(0000572)
Ovcharoff (reporter)
2011-03-08 17:01
edited on: 1970-01-01 00:00

here is the log:

08-03-2011, 19:00:27:: Database access error. Please contact the site administrator. SELECT title FROM webid_auctions WHERE id = LIMIT 1
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'LIMIT 1' at line 1
page:/home/tsurecom/public_html/feedback.php line:156
(0000573)
Box Lot (reporter)
2011-03-08 17:08
edited on: 2011-03-08 17:08

Seems like an older version I have is working.

As before no guarantees but seems to work with both users for me:

Reverse what was previously noted above. Then..

At line 26
Find:
if (isset($_SESSION['CURRENT_ITEM']))
Replace with:
if (!isset($_POST['auction_id']) && !isset($_GET['auction_id']))

At line 49
Find:
                WHERE auction = " . intval($_REQUEST['auction_id']) . "
Replace with:
                WHERE auction = " . $_REQUEST['auction_id'] . "
(0000574)
pamotos (reporter)
2011-03-08 17:39
edited on: 1970-01-01 00:00

these is what i get from my error log

08-03-2011, 15:59:22:: Database access error. Please contact the site administrator. SELECT title FROM webid_auctions WHERE id = LIMIT 1
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'LIMIT 1' at line 1
page:C:\wamp\www\webid\feedback.php line:156
08-03-2011, 16:00:09:: Database access error. Please contact the site administrator. SELECT title FROM webid_auctions WHERE id = LIMIT 1
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'LIMIT 1' at line 1
page:C:\wamp\www\webid\feedback.php line:156
08-03-2011, 16:00:54:: Database access error. Please contact the site administrator. SELECT title FROM webid_auctions WHERE id = LIMIT 1
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'LIMIT 1' at line 1
page:C:\wamp\www\webid\feedback.php line:156
08-03-2011, 17:38:20:: Database access error. Please contact the site administrator. SELECT title FROM webid_auctions WHERE id = LIMIT 1
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'LIMIT 1' at line 1
page:C:\wamp\www\webid\feedback.php line:156

thanks in advance
(0000575)
Ovcharoff (reporter)
2011-03-08 17:51
edited on: 2011-03-08 17:52

It seems like it's working with the new fix - I've added 4 auctions, bought 3 of them and exchanged feedback successfully :)

I'll continue testing throughout the next few days.

pamotos try the new fix, it should be OK !

Box Lot thanks a lot for the great help !
(0000576)
pamotos (reporter)
2011-03-08 18:09
edited on: 2011-03-08 22:22

im gonna try the new fix and post back. thanks
(0000577)
pamotos (reporter)
2011-03-08 22:54
edited on: 1970-01-01 00:00

yep, it works fine, thanks for the great work
(0000741)
pani100 (reporter)
2011-06-22 00:41
edited on: 1970-01-01 00:00

Hi Box Lot,
had exactly the same problem, just found your fix, tried it and seems like all feedback is working ok again. The auction_id would not refresh with the new value, seems like it was in browser cache. If you cleared all browser data and logged in again it would allow you to leave feedback for 1 auction and after that it would lock up and not load any new auction_id for a new feedback.
Thank you.
(0001072)
renlok (administrator)
2013-01-23 14:45
edited on: 1970-01-01 00:00

Marking this as fixed, as cannot reproduce and the changes BL states seem to already be in place

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 240
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2011-03-07 13:33
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2013-01-23 14:45


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker